#
# spec file for package rubygem-commander
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-commander
Version:        4.3.5
Release:        5.1
%define mod_name commander
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/commander-rb/commander
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        The complete solution for Ruby command-line executables
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
The complete solution for Ruby command-line executables. Commander bridges the
gap between other terminal related libraries you know and love (OptionParser,
HighLine), while providing many new features, and an elegant API.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="History.rdoc LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Aug 10 2015 coolo@suse.com
- updated to version 4.3.5
  see installed History.rdoc
  === 4.3.5 / 2015-08-09
  * Fixed a bug with small terminal widths, changed minimum screen width for wrapping to 40 columns. (@toolmantim)
* Mon May  4 2015 coolo@suse.com
- updated to version 4.3.4
  see installed History.rdoc
  === 4.3.4 / 2015-05-03
  * Fixed a regression with the compact help formatter.
* Thu Apr 23 2015 coolo@suse.com
- updated to version 4.3.3
  see installed History.rdoc
  === 4.3.3 / 2015-04-21
  * Updated to highline 1.7.2 to fix a regression with terminal size (https://github.com/JEG2/highline/pull/139).
* Wed Apr  8 2015 coolo@suse.com
- updated to version 4.3.2
  * Version bump to publish new location of Commander to Rubygems. Moved to https://github.com/commander-rb/commander
* Sat Mar 28 2015 coolo@suse.com
- updated to version 4.3.1
* Tue Feb 10 2015 coolo@suse.com
- updated to version 4.3.0
* Fri Feb  6 2015 coolo@suse.com
- updated to version 4.2.1
  * Improve `choose` compatibility with HighLine's version (#79)
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 4.2.0
  * Add ability to use commander without importing into the global namespace (#61) (@krissi)
* Sat Feb 22 2014 coolo@suse.com
- updated to version 4.1.6
  * Respect environment setting for $LESS (@ellemenno)
  * Add ability to hide trace flags and globally enable tracing (#16, #17) (@jamesrwhite)
* Mon Aug 26 2013 coolo@suse.com
- updated to version 4.1.5
  * Prevent deprecation warning when loaded in a Rails 4 environment (#58)
* Tue Jul 30 2013 coolo@suse.com
- updated to version 4.1.4
  * Improve help formatting for multiline program and command descriptions
  * Add ability to set speaking rate (@kethomassen)
  * Clean up examples in docs (@parkr)
* Tue Dec 25 2012 coolo@suse.com
- updated to version 4.1.3
  * Remove use of eval in Array.parse
  * Make generated template executable and set better defaults (@suan)
  * Fixed valid_command_names_from to match exact commands only (@fgalassi)
* Tue Sep 11 2012 dmitry@roshchin.org
- Initial package
- Version 4.1.2
